Index: trunk/var/www/info/alkis/alkisfkt.php
===================================================================
--- trunk/var/www/info/alkis/alkisfkt.php	(revision 41)
+++ trunk/var/www/info/alkis/alkisfkt.php	(revision 43)
@@ -7,12 +7,13 @@
 		31.08.2010	$style=ALKIS entfernt, link zu alkislage.php
 		02.09.2010  mit Icons
+		07.09.2010  Schluessel anschaltbar
+		08.09.2010  ..
 */
 
-function footer($gkz, $gmlid, $idanzeige, $link, $hilfeurl, $append) {
+function footer($gkz, $gmlid, $idanzeige, $link, $hilfeurl, $append, $showkey) {
 	// Einen Seitenfuss ausgeben.
-	// Den URL-Parameter "&id=j/n" in allen Kombinationen umschalten lassen.
+	// Den URL-Parameter "&id=j/n" und "&showkey=j/n" in allen Kombinationen umschalten lassen.
 	// Die Parameter &gkz= und &gmlid= kommen in allen Modulen einheitlich vor
 
-	// Der Parameter "&eig=j" wird angehaengt wenn gefuellt.  // ALT
 	// Der Parameter $append wird angehaengt wenn gefuellt
 	//  Anwendung: &eig=j bei FS-NW, &ltyp=m/p/o bei Lage
@@ -29,14 +30,33 @@
 	echo "\n\t<td title='Konfiguration'>";
 		// Umschalter Testmodus I D - A n z e i g e
-		echo "\n\t\t<a class='gmlid' href='".$link."gkz=".$gkz."&amp;gmlid=".$gmlid;
-		//	if ($eig <> "") echo "&amp;eig=".$eig; // nur fuer FS-Nachw
-			if ($append <> "") echo $append; // nur fuer FS-Nachw
-
-			if ($idanzeige) { // Umschalten
-				echo "&amp;id=n' title='Ohne Verfolgung der ALKIS-Beziehungen'>ID aus";
-			} else {
-				echo "&amp;id=j' title='Verfolgung der GML-ID in den ALKIS-Beziehungen'>ID ein";
-			}
-		echo "</a>";
+		$mylink ="\n\t\t<a class='gmlid' href='".$link."gkz=".$gkz."&amp;gmlid=".$gmlid.$append;
+
+		if ($idanzeige) { // bleibt so
+			$myid = "&amp;id=j";
+		} else {
+			$myid = "&amp;id=n";
+		}
+
+		if ($showkey) { // bleibt so
+			$mykey = "&amp;showkey=j";
+		} else {
+			$mykey = "&amp;showkey=n";
+		}
+
+		if ($idanzeige) { // Umschalten ID ein/aus
+			echo $mylink.$mykey."&amp;id=n' title='Ohne Verfolgung der ALKIS-Beziehungen'>";
+			echo "<img src='ico/Beziehung_link.ico' width='16' height='16' alt=''> ID aus</a>";
+		} else {
+			echo $mylink.$mykey."&amp;id=j' title='Verfolgung der GML-ID in den ALKIS-Beziehungen'>";
+			echo "<img src='ico/Beziehung_link.ico' width='16' height='16' alt=''> ID ein</a>";
+		}
+
+		echo " | ";
+
+		if ($showkey) { // // Umschalten SchlÃŒssel ein/aus
+			echo $mylink.$myid."&amp;showkey=n' title='Verschl&uuml;sselungen ausblenden'>Schl&uuml;ssel aus</a>";
+		} else {
+			echo $mylink.$myid."&amp;showkey=j' title='Verschl&uuml;sselungen anzeigen'>Schl&uuml;ssel ein</a>";
+		}
 	echo "\n\t</td>";
 
@@ -51,6 +71,8 @@
 function linkgml($gkz, $gml, $typ)  {
 	// Einen Link zur Verfolgung der Beziehungen mit dem Modul alkisrelationen.php
-	$kurzid=substr($gml, 11); // ID kuerzen, der Anfang ist immer gleich
-	echo "\n\t\t<a target='_blank' title='ID ".$typ."' class='gmlid noprint' href='alkisrelationen.php?gkz=".$gkz."&amp;gmlid=".$gml."&amp;otyp=".$typ."'>".$kurzid."</a>";
+	$kurzid=substr($gml, 12); // ID in Anzeige kuerzen (4 Zeichen), der Anfang ist immer gleich
+	echo "\n\t\t<a target='_blank' title='ID ".$typ."' class='gmlid noprint' ";
+	echo "href='alkisrelationen.php?gkz=".$gkz."&amp;gmlid=".$gml."&amp;otyp=".$typ."'>";
+	echo "<img src='ico/Beziehung_link.ico' width='16' height='16' alt=''>".$kurzid."</a>";
 	return 0;
 }
@@ -65,5 +87,5 @@
 }
 
-function fs_gebietszug($con, $gemeinde, $kreis, $bezirk) {
+function fs_gebietszug($con, $gemeinde, $kreis, $bezirk, $showkey) {
 	// eine Tabellenzeile mit der Gebietszugehoerigkeit eines Flurstuecks wird ausgegeben
 	// Parameter = Schluesselwerte
@@ -78,5 +100,9 @@
 	$row = pg_fetch_array($res);
 	$gnam = htmlentities($row["bezeichnung"], ENT_QUOTES, "UTF-8");
-	echo "\n\t<td class='lr'>Gemeinde <span class='key'>(".$gemeinde.")</span> ".$gnam."<br>";
+	echo "\n\t<td class='lr'>Gemeinde ";
+	if ($showkey) {
+		echo "<span class='key'>(".$gemeinde.")</span> ";
+	}
+	echo $gnam."<br>";
 
 	// K r e i s
@@ -86,5 +112,9 @@
 	$row = pg_fetch_array($res);
 	$knam = htmlentities($row["bezeichnung"], ENT_QUOTES, "UTF-8");
-	echo "Kreis <span class='key'>(".$kreis.")</span> ".$knam."<br>";
+	echo "Kreis ";
+	if ($showkey) {
+		echo "<span class='key'>(".$kreis.")</span> ";
+	}	
+	echo $knam."<br>";
 
 	// R e g - B e z
@@ -94,5 +124,9 @@
 	$row = pg_fetch_array($res);
 	$bnam = htmlentities($row["bezeichnung"], ENT_QUOTES, "UTF-8");
-	echo "Regierungsbezirk <span class='key'>(".$bezirk.")</span> ".$bnam."</td>";
+	echo "Regierungsbezirk ";
+	if ($showkey) {
+		echo "<span class='key'>(".$bezirk.")</span> ";
+	}
+	echo $bnam."</td>";
 	
 	// 3. Spalte fÃŒr NW-Link (in weiteren Tab-Zeilen)
@@ -101,5 +135,5 @@
 }
 
-function fs_lage($con, $gmlid, $gkz) {
+function fs_lage($con, $gmlid, $gkz, $showkey) {
 	// Tabellenzeilen mit Lage eines FS
 	// Parameter = ID des FS
@@ -140,6 +174,13 @@
 				echo "<td>&nbsp;</td>";
 			}
-			echo "\n\t<td class='lr'><span class='key'>(".$row["lage"].")</span>&nbsp;".$sname."&nbsp;".$row["hausnummer"]."</td>";
-			echo "\n\t<td><p class='nwlink noprint'><a href='alkislage.php?gkz=".$gkz."&amp;ltyp=m&amp;gmlid=".$row["gml_id"]."'>Lage</a></p></td>";
+			echo "\n\t<td class='lr'>";
+			if ($showkey) {
+				echo "<span class='key'>(".$row["lage"].")</span>&nbsp;";
+			}
+			echo $sname."&nbsp;".$row["hausnummer"]."</td>";
+			echo "\n\t<td>\n\t\t<p class='nwlink noprint'>";
+				echo "\n\t\t\t<a href='alkislage.php?gkz=".$gkz."&amp;ltyp=m&amp;gmlid=".$row["gml_id"]."'>Lage ";
+				echo "<img src='ico/Lage_mit_Haus.ico' width='16' height='16' alt=''></a>";
+			echo "\n\t\t</p>\n\t</td>";
 		echo "\n</tr>";
 		$j++;
@@ -147,5 +188,5 @@
 	$z=$j;
 
-	// Lagebezeichnung Ohne Hausnummer (Gewanne oder nur Strasse)
+	// L a g e b e z e i c h n u n g   O h n e   H a u s n u m m e r  (Gewanne oder nur Strasse)
 	//   ax_flurstueck  >zeigtAuf>  AX_LagebezeichnungOhneHausnummer
 	//                  <gehoertZu<
@@ -174,5 +215,8 @@
 				echo "\n\t<td class='ll'><img src='ico/Lage_Gewanne.ico' width='16' height='16' alt=''> Gewanne:</td>";
 				echo "\n\t<td class='lr'>".$gewann."</td>";
-				echo "\n\t<td><p class='nwlink noprint'><a title='Lagebezeichnung Ohne Hausnummer' href='alkislage.php?gkz=".$gkz."&amp;ltyp=o&amp;gmlid=".$lgml."'>Lage</a></p></td>";
+				echo "\n\t<td>\n\t\t<p class='nwlink noprint'>";
+					echo "\n\t\t\t<a title='Lagebezeichnung Ohne Hausnummer' href='alkislage.php?gkz=".$gkz."&amp;ltyp=o&amp;gmlid=".$lgml."'>";
+					echo "\n\t\t\tLage <img src='ico/Lage_Gewanne.ico' width='16' height='16' alt=''></a>";
+				echo "\n\t\t</p>\n\t</td>";
 			echo "\n</tr>";		
 		}
@@ -181,6 +225,13 @@
 			echo "\n<tr>";	
 				echo "\n\t<td class='ll'><img src='ico/Lage_an_Strasse.ico' width='16' height='16' alt=''> Stra&szlig;e:</td>";				
-				echo "\n\t<td class='lr'><span class='key'>(".$skey.")</span>&nbsp;".$row["bezeichnung"]."</td>";
-				echo "\n\t<td><p class='nwlink noprint'><a  title='Lagebezeichnung Ohne Hausnummer' href='alkislage.php?gkz=".$gkz."&amp;ltyp=o&amp;gmlid=".$lgml."'>Lage</a></p></td>";
+				echo "\n\t<td class='lr'>";
+				if ($showkey) {
+					echo "<span class='key'>(".$skey.")</span>&nbsp;";
+				}
+				echo $row["bezeichnung"]."</td>";
+				echo "\n\t<td>\n\t\t<p class='nwlink noprint'>";
+					echo "\n\t\t\t<a title='Lagebezeichnung Ohne Hausnummer' href='alkislage.php?gkz=".$gkz."&amp;ltyp=o&amp;gmlid=".$lgml."'>";
+					echo "\n\t\t\tLage <img src='ico/Lage_an_Strasse.ico' width='16' height='16' alt=''>\n\t\t\t</a>";
+				echo "\n\t\t</p>\n\t</td>";
 			echo "\n</tr>";
 		}		
@@ -188,6 +239,5 @@
 	}
 	$z=$z+$j;
-	//echo "<p class='err'>Anzahl ".$j."<br>SQL=<br>".$sql."<br></p>";	
-	return $z; // Summe der ausgegebenen Zeilen
+	return $z; // Anzahl Zeilen
 }
 
@@ -200,5 +250,5 @@
 }
 
-function bnw_fsdaten($con, $gkz, $idanzeige, $lfdnr, $gml_bs, $ba, $anteil, $bvnraus) {
+function bnw_fsdaten($con, $gkz, $idanzeige, $lfdnr, $gml_bs, $ba, $anteil, $bvnraus, $showkey) {
 /*	Bestandsnachweis - Flurstuecksdaten
 	Die Tabellenzeilen mit den Flurstuecksdaten zu einer Buchungsstelle im Bestandsnachweis ausgeben.
@@ -229,28 +279,43 @@
 		$flur=str_pad($rowf["flurnummer"], 3, "0", STR_PAD_LEFT);
 		$fskenn=str_pad($rowf["zaehler"], 5, "0", STR_PAD_LEFT);
+
 		echo "\n<tr>"; // eine Zeile je Flurstueck
-
-		// Sp. 1-3 der Tab. aus Buchungsstelle, nicht aus FS
-		if($lfdnr == $altlfdnr) {	// gleiches Grundstueck		
-			echo "\n\t<td>&nbsp;</td>\n\t<td>&nbsp;</td>\n\t<td>&nbsp;</td>";
-		} else {
-			echo "\n\t<td><img src='ico/Grundstueck.ico' width='16' height='16' alt='' title='Grundst&uuml;ck' /> <span class='wichtig'>".$bvnr."</span>";  // BVNR
-			if ($idanzeige) {linkgml($gkz, $gml_bs, "Buchungsstelle");}
+			// Sp. 1-3 der Tab. aus Buchungsstelle, nicht aus FS
+			if($lfdnr == $altlfdnr) {	// gleiches Grundstueck		
+				echo "\n\t<td>&nbsp;</td>";
+				echo "\n\t<td>&nbsp;</td>";
+				echo "\n\t<td>&nbsp;</td>";
+			} else {
+				echo "\n\t<td>";
+					// Icon in Tabelle?				
+					//echo "<img src='ico/Grundstueck.ico' width='16' height='16' alt='' title='Grundst&uuml;ck' /> ";
+					echo "<span class='wichtig'>".$bvnr."</span>";  // BVNR
+					if ($idanzeige) {linkgml($gkz, $gml_bs, "Buchungsstelle");}
+				echo "</td>";
+				echo "\n\t<td>".$ba."</td>"; // Buchungsart entschluesselt
+				echo "\n\t<td>&nbsp;</td>"; // Anteil
+				$altlfdnr=$lfdnr;	
+			}		
+			//Sp. 4-7 aus Flurstueck
+			echo "\n\t<td>";
+			if ($showkey) {
+				echo "<span class='key'>".$rowf["gemarkungsnummer"]."</span> ";
+			}
+			echo $rowf["bezeichnung"]."</td>";
+			echo "\n\t<td>".$flur."</td>";
+			echo "\n\t<td><span class='wichtig'>".$fskenn."</span>";
+				if ($idanzeige) {linkgml($gkz, $rowf["gml_id"], "Flurst&uuml;ck");}
 			echo "</td>";
-			echo "\n\t<td>".$ba."</td>"; // Buchungsart entschluesselt
-			echo "\n\t<td>&nbsp;</td>"; // Anteil
-			$altlfdnr=$lfdnr;	
-		}		
-		//Sp. 4-7 aus Flurstueck
-		echo "\n\t<td><span class='key'>".$rowf["gemarkungsnummer"]."</span> ".$rowf["bezeichnung"]."</td>";
-		echo "\n\t<td>".$flur."</td>";
-		echo "\n\t<td><span class='wichtig'>".$fskenn."</span>";
-		if ($idanzeige) {linkgml($gkz, $rowf["gml_id"], "Flurst&uuml;ck");}
-		echo "</td>\n\t<td class='fla'>".$flae."</td>";
-
-		echo "\n\t<td><p class='nwlink noprint'>";
-		echo "<a href='alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$rowf["gml_id"]."&amp;eig=n";
-		if ($idanzeige) {echo "&amp;id=j";}
-		echo "' title='Flurst&uuml;cksnachweis'>Flurst&uuml;ck <img src='ico/Flurstueck_Link.ico' width='16' height='16' alt=''></a></p></td>\n</tr>";
+			echo "\n\t<td class='fla'>".$flae."</td>";
+	
+			echo "\n\t<td><p class='nwlink noprint'>";
+				echo "<a href='alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$rowf["gml_id"]."&amp;eig=n";
+					if ($idanzeige) {echo "&amp;id=j";}
+					if ($showkey)   {echo "&amp;showkey=j";}
+					echo "' title='Flurst&uuml;cksnachweis'>Flurst&uuml;ck ";
+					echo "<img src='ico/Flurstueck_Link.ico' width='16' height='16' alt=''>";
+				echo "</a>";
+			echo "</p></td>";
+		echo "\n</tr>";
 
 		$j++;
@@ -259,5 +324,5 @@
 }
 
-function eigentuemer($con, $gkz, $idanzeige, $gmlid, $mitadresse) {
+function eigentuemer($con, $gkz, $idanzeige, $gmlid, $mitadresse, $showkey) {
 	// Tabelle mit Eigentuemerdaten zu einem Grundbuchblatt ausgeben
 	// Sp.1 = Namennummer, Sp. 2 = Name / Adresse, Sp. 3 = Link
@@ -272,5 +337,5 @@
 	$sql="SELECT n.gml_id, n.laufendenummernachdin1421 AS lfd, n.zaehler, n.nenner, ";
 	$sql.="n.artderrechtsgemeinschaft AS adr, n.beschriebderrechtsgemeinschaft as beschr, n.eigentuemerart, n.anlass ";
-	$sql.="FROM  ax_namensnummer   n ";
+	$sql.="FROM  ax_namensnummer n ";
 	$sql.="JOIN  alkis_beziehungen b ON b.beziehung_von=n.gml_id ";
 	$sql.="WHERE b.beziehung_zu='".$gmlid."' "; // id blatt
@@ -281,6 +346,6 @@
 	if (!$resn) {echo "<p class='err'>Fehler bei Eigentuemer<br>SQL= ".$sql."<br></p>\n";}
 
-	echo "<p class='nwlink noprint'>weitere Auskunft:</p>"; // oben rechts von der Tabelle
-	echo "\n<table class='eig'>";
+	//echo "<p class='nwlink noprint'>weitere Auskunft:</p>"; // oben rechts von der Tabelle
+	echo "\n\n<table class='eig'>";
 	$n=0; // Z.NamNum.
 
@@ -288,10 +353,10 @@
 	while($rown = pg_fetch_array($resn)) {
 		echo "\n<tr>";
-			echo "\n\t<td class='nanu' title='Namens-Nummer'><p>"; // Sp. 1
+			echo "\n\t<td class='nanu' title='Namens-Nummer'>\n\t\t<p>"; // Sp. 1
 				// VOR die Tabelle: "EigentÃŒmer"
 				$namnum=kurz_namnr($rown["lfd"]);
 				echo $namnum."&nbsp;";
 				if ($idanzeige) {linkgml($gkz, $rown["gml_id"], "Namensnummer");}
-			echo "</p></td>";
+			echo "</p>\n\t</td>";
 
 			echo "\n\t<td>"; // Sp. 2
@@ -299,7 +364,7 @@
 			if ($rechtsg != "" ) {
 				if ($rechtsg == 9999) { // sonstiges
-					echo "<p class='zus' title='Beschrieb der Rechtsgemeinschaft'>".htmlentities($rown["beschr"], ENT_QUOTES, "UTF-8")."</p>";
+					echo "\n\t\t<p class='zus' title='Beschrieb der Rechtsgemeinschaft'>".htmlentities($rown["beschr"], ENT_QUOTES, "UTF-8")."</p>";
 				} else {
-					echo "<p class='zus' title='Art der Rechtsgemeinschaft'>".htmlentities(rechtsgemeinschaft($rown["adr"]), ENT_QUOTES, "UTF-8")."</p>";
+					echo "\n\t\t<p class='zus' title='Art der Rechtsgemeinschaft'>".htmlentities(rechtsgemeinschaft($rown["adr"]), ENT_QUOTES, "UTF-8")."</p>";
 					// !! Feld /td und Zeile /tr nicht geschlossen
 					//	echo "\n\t</td>\n</tr>"; // !!! IMMER? oder nur wenn letzte Zeile?			
@@ -328,5 +393,4 @@
 		$sql.="WHERE v.beziehung_von='".$rown["gml_id"]."' "; // id num
 		$sql.="AND   v.beziehungsart='benennt';";
-		//echo "\n\t<p class='err'>Schleife Person SQL=<br>".$sql."</p>"; // test
 	
 		$rese=pg_query($con, $sql);
@@ -349,13 +413,16 @@
 			}
 			// Spalte 2 = Angaben
-			echo "<p class='geig' title='Eigent&uuml;merart ".eigentuemerart($rown["eigentuemerart"])."'>".$diePerson."</p></td>";
+			$eiart=eigentuemerart($rown["eigentuemerart"]);
+			echo "\n\t\t<p class='geig' title='Eigent&uuml;merart ".$eiart."'>".$diePerson."</p>\n\t</td>";
 
 			// Spalte 3 = Link
-			echo "\n\t<td><p class='nwlink noprint'>";
+			echo "\n\t<td>\n\t\t<p class='nwlink noprint'>";
 				if ($idanzeige) {linkgml($gkz, $rowe["gml_id"], "Person"); echo "&nbsp";}
-				echo "<a href='alkisnamstruk.php?gkz=".$gkz."&amp;gmlid=".$rowe[0];
+				echo "\n\t\t<a href='alkisnamstruk.php?gkz=".$gkz."&amp;gmlid=".$rowe[0];
 				if ($idanzeige) {echo "&amp;id=j";}
-				echo "' title='vollst&auml;ndiger Name und Adresse eines Eigent&uuml;mers'>Person <img src='ico/Eigentuemer.ico' width='16' height='16' alt=''></a></p>";
-			echo "</td>\n</tr>";
+				if ($showkey)   {echo "&amp;showkey=j";}
+				echo "' title='vollst&auml;ndiger Name und Adresse eines Eigent&uuml;mers'>".$eiart;
+				echo " <img src='ico/Eigentuemer.ico' width='16' height='16' alt=''></a>\n\t\t</p>";
+			echo "\n\t</td>\n</tr>";
 	
 			if ($mitadresse) {
@@ -530,19 +597,21 @@
 }
 // Entschluesslung AX_Namensnummer.eigentuemerart
+// Abweichend hier in singular fuer Link-Text
 function eigentuemerart($key) {
 	switch ($key) {
 		case 1000:
-			$wert = "Nat&uuml;rliche Personen"; 
-			break;
-
+			$wert = "Nat&uuml;rliche Person"; 
+			break;
 		case 2000:
-			$wert = "Juristische Personen"; 
-			break;
-
+			$wert = "Juristische Person"; 
+			break;
 		case 3000:
-			$wert = "K&ouml;rperschaften"; 
+			$wert = "K&ouml;rperschaft"; 
+			break;
+		case "": // falls (noch) nicht gefuellt
+			$wert = "Person"; 
 			break;
 		default:
-			$wert = "** Unbekannter Wert '".$key."'";;
+			$wert = "** Unbekannte Eigent&uuml;merart '".$key."' **";;
 			break;
 	}
